Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.lang
Class System

    java.lang.Object
      java.lang.System

    public final class System

extends Object

System utilities.

Field Summary
`static PrintStream` | `err`
`static PrintStream` | `out`

Method Summary
`static void` | `arraycopy(Object src, int srcOffset, Object dest, int destOffset, int length)` Copies one array to another.
`static long` | `currentTimeMillis()` Current time expressed in milliseconds.
`static int` | `diagn(int code, int param)` Diagnostic tool (for firmware developers only)
`static void` | `exit(int code)` Terminate the application.
`static void` | `gc()` Collect garbage
`static int` | `getFirmwareMajorVersion()`
`static int` | `getFirmwareMinorVersion()`
`static int` | `getFirmwareRevision()`
`static int` | `getProgramExecutionsCount()` Get the number of times a Java program (including the menu) has executed since the brick was swiched on
`static Runtime` | `getRuntime()` Get the singleton instance of Runtime.
`static void` | `setErr(PrintStream err)` Redirect System.err
`static void` | `setOut(PrintStream out)` Redirect System.out
`static void` | `shutDown()` Shutdown the brick

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait`

Field Detail

### out

    public static PrintStream out

### err

    public static PrintStream err

Method Detail

### arraycopy

    public static void arraycopy(Object src,
                                 int srcOffset,
                                 Object dest,
                                 int destOffset,
                                 int length)

  Copies one array to another.

### exit

    public static void exit(int code)

  Terminate the application.

### currentTimeMillis

    public static long currentTimeMillis()

  Current time expressed in milliseconds. In the RCX, this is the number of milliseconds since the RCX has been on. (In Java, this would be since January 1st, 1970).

### getRuntime

    public static Runtime getRuntime()

  Get the singleton instance of Runtime.

### gc

    public static void gc()

  Collect garbage

### shutDown

    public static void shutDown()

  Shutdown the brick

### diagn

    public static int diagn(int code,
                            int param)

  Diagnostic tool (for firmware developers only)

### setOut

    public static void setOut(PrintStream out)

  Redirect System.out

  Parameters:
    `out` - a PrintStream

### setErr

    public static void setErr(PrintStream err)

  Redirect System.err

  Parameters:
    `err` - a PrintStream

### getProgramExecutionsCount

    public static int getProgramExecutionsCount()

  Get the number of times a Java program (including the menu) has executed since the brick was swiched on

  Returns:
    the count

### getFirmwareMajorVersion

    public static int getFirmwareMajorVersion()

### getFirmwareMinorVersion

    public static int getFirmwareMinorVersion()

### getFirmwareRevision

    public static int getFirmwareRevision()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD